Bug 1468232 - libbson-1.7.0-rc1 is available
libbson-1.7.0-rc1 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libbson (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 08:17 EDT by Upstream Release Monitoring
Modified: 2017-08-10 03:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: libbson-1.7.0-0.2.rc1.fc27
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-10 03:01:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2017-07-06 08:17:23 EDT
Latest upstream release: 1.7.0-rc0
Current version/release in rawhide: 1.6.3-1.fc27
URL: https://github.com/mongodb/libbson

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9537/
Comment 1 Petr Pisar 2017-07-07 09:29:52 EDT
This release makes parsing JSON type wrappers more strict and it does not allow to format dates as a raw integers. Otherwise it should be compatible with 1.6.3.

This rc0 goes into rawhide only. 1.7.0 should be suitable for Fedora ≥ 26.
Comment 2 Remi Collet 2017-07-13 08:53:51 EDT
According to abi-compliance-checker should be 100% compatible
https://rpms.remirepo.net/compat_reports/libbson/1.6.3_to_1.7.0-rc0/compat_report.html

BTW, mongo-c-driver seems broken
https://apps.fedoraproject.org/koschei/package/mongo-c-driver?collection=f27

Of course I probably have to update it to 1.7.0-rc0 (but no upstream tarball.. and github sources won't work... some files are missing, only part of the release process... and make will try to "download" them).

I need to investigate on this... but won't be able before August (after my Holidays)
Comment 3 Petr Pisar 2017-07-13 09:14:41 EDT
<bson-macros.h> erroneously included <assert.h>. This was fixed in 1.7.0. If you need assert macro, you need to include <assert.h> yourself.

libbson-1.7.0 uses BSON_ASSERT() macro in it's code instead:

-         assert (0);
+         BSON_ASSERT (0);

The macro is defined in <bson-macros.h>, but it's not like assert(). It's always defined and always evaluates.
Comment 4 Upstream Release Monitoring 2017-07-25 08:18:29 EDT
Latest upstream release: 1.7.0-rc1
Current version/release in rawhide: 1.7.0-0.1.rc0.fc27
URL: https://github.com/mongodb/libbson

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/9537/
Comment 5 Petr Pisar 2017-07-25 08:54:52 EDT
1.7.0-rc1 renamed bson_as_extended_json() to bson_as_canonical_json() and added bson_as_relaxed_json(). Suitable for rawhide only. Final 1.7.0 will be suitable for Fedora ≥ 26.

Note You need to log in before you can comment on or make changes to this bug.